1. Accounts
Printags Public
  • Accounts
    • Get current account
      GET
    • Get an account by ID
      GET
  • Orders
    • Find orders
      GET
    • Get an order by ID
      GET
    • Create a new order
      POST
    • Validate an order
      POST
  • Files
    • Upload a file
      POST
    • Get a file by ID
      GET
  • Statuses
    • Get all statuses
      GET
  • Schemas
    • Account
    • Address
    • Customer
    • Model
    • Product
    • ProductGroup
    • SubscriptionPlan
    • Shipping
    • Order
    • NFC
  1. Accounts

Get current account

GET
/accounts/@me
Fetch detailed information for the authenticated account.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or

Responses

🟢200
application/json
Successfully retrieved account details
Body

🟠401
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/accounts/@me' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "success": true,
    "account": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "displayname": "John Doe",
        "email": "johndoe@example.com",
        "phone": "+1234567890",
        "balance": 100.5,
        "minimal_balance": 0,
        "minimal_credit": 0,
        "fiscal_number": "FR12345678901",
        "subscription_plan": {
            "id": "987e6543-e21a-11d4-a789-0242ac120002",
            "displayname": "Basic Plan",
            "price": 49.99,
            "shippingLetter": true,
            "whiteLabel": false
        },
        "options": {
            "lang": "EN",
            "payments": {
                "groupWithSubscription": false
            }
        },
        "createdAt": "2024-01-01T10:00:00.000Z",
        "updatedAt": "2024-11-01T12:00:00.000Z"
    }
}
Modified at 2026-04-02 11:43:40
Next
Get an account by ID
Built with